System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IServerFormatterSinkProvider

Channel sinks are connected to a server channel through implementations of the interface. All the remoting server channels provide constructors that take a as a parameter.

Channel sink providers are stored in a chain, and the user is responsible for chaining all channel sink providers together before passing the outer one to the channel constructor. provides a property called for this purpose.

When multiple channel sink providers are specified in a configuration file, the remoting infrastructure will chain them together in the order they are found in the configuration file. The channel sink providers and the channels are created during the call.

Formatter sinks use sink configuration properties to configure the channel at run time. Sink properties can be specified in a configuration file, or programmatically, inside of a . In a configuration file all values are represented by strings, but when building a property programmatically, value types can be specified with their native values or with strings.

The following table shows the sink configuration properties that can be specified for the current sink.

Property

Description

includeVersions

Specifies whether the formatter will include versioning information. Values are true or false.

Using an instance of this object with untrusted data or across an unsecure channel is a security risk. Use this object only with trusted data and across a secure channel. For more information, see Untrusted Data Security Risks.

Provides the implementation for a server formatter channel sink provider that uses the .

- Constructor
  To be added

  Initializes a new instance of the class with default values.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the provided properties and provider data.

  A of configuration properties to use with the new instance of .
  A of provider data to use with the new instance of .
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Channels.IServerChannelSink `` To be added

  Creates a sink chain.

  The first sink of the newly formed channel sink chain.

  The channel for which to create the channel sink chain. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Returns the channel data for the channel that the current sink is associated with.

  A object in which the channel data is to be returned. 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.Remoting.Channels.IServerChannelSinkProvider To be added: an object of type 'IServerChannelSinkProvider' To be added

  Gets or sets the next in the sink provider chain.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Runtime.Serialization.Formatters.TypeFilterLevel To be added.

  Supported values are Low (the default) and Full. For details about deserialization levels, see Automatic Deserialization in .NET Remoting.

  Gets or sets the TypeFilterLevel value of automatic deserialization the SoapServerFormatterSink performs.